# Contributing

Tensorflow I/O project welcomes all kinds of contributions, be it code changes, bug-fixes or documentation changes.
This guide should help you in taking care of some basic setups & code conventions.

## Contributor License Agreement

Contributions to this project must be accompanied by a Contributor License
Agreement. You (or your employer) retain the copyright to your contribution;
this simply gives us permission to use and redistribute your contributions as
part of the project. Head over to https://cla.developers.google.com/ to see
your current agreements on file or to sign a new one.

You generally only need to submit a CLA once, so if you've already submitted one
(even if it was for a different project), you probably don't need to do it
again.

## Coding Style

Tensorflow project wide code style guidelines can be followed at [TensorFlow Style Guide - Conventions](https://www.tensorflow.org/community/contribute/code_style) and Tensorflow I/O project specific 
code style guidelines can be followed at [Style Guide](STYLE_GUIDE.md).

## Code Reviews

All submissions, including submissions by project members, require review. We
use Github pull requests for this purpose.
Tensorflow I/O project's currently open pull requests, 
can be viewed [here](https://github.com/tensorflow/io/pulls).

## Features, Enhancements & Issues

All the open work items in Tensorflow I/O project like features, enhancements and open issues  
can be viewed [here](https://github.com/tensorflow/io/issues). 
